package net.cellcomputing.himawari.parser.keywords;

/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
import net.cellcomputing.himawari.library.RendermanInterface;
import net.cellcomputing.himawari.parser.Tokenizer;

public strictfp class KeywordDeformation extends AbstractKeywordParser {
	

	    public void parse(Tokenizer st) throws Exception {
	      
	    	 // Expect name
	        match(st, TK_STRING);
	        String name = st.sval;
	        
	        // Expect parameter list
	        parseParameterList(st);
	       
	        RendermanInterface.RiDeformationV( name, count(), tokens(), values() );
	        
	    }
}
